=begin
#WeFitter API

#This is the WeFitter API

OpenAPI spec version: v1.3
Contact: hello@wefitter.com
Generated by: https://github.com/swagger-api/swagger-codegen.git
Swagger Codegen version: 2.4.38
=end

require 'spec_helper'
require 'json'

# Unit tests for WeFitter::TokenApi
# Automatically generated by swagger-codegen (github.com/swagger-api/swagger-codegen)
# Please update as you see appropriate
describe 'TokenApi' do
  before do
    # run before each test
    @instance = WeFitter::TokenApi.new
  end

  after do
    # run after each test
  end

  describe 'test an instance of TokenApi' do
    it 'should create an instance of TokenApi' do
      expect(@instance).to be_instance_of(WeFitter::TokenApi)
    end
  end

  # unit tests for token_create
  # Create Token
  #  In order to create a token, perform a POST request to this endpoint, example:&lt;br/&gt; &lt;table&gt;&lt;tbody&gt;     &lt;tr&gt;&lt;td&gt;Application ID&lt;/td&gt;&lt;td&gt;123&lt;/td&gt;&lt;/tr&gt;     &lt;tr&gt;&lt;td&gt;Application Secret&lt;/td&gt;&lt;td&gt;ABC&lt;/td&gt;&lt;/tr&gt;     &lt;tr&gt;&lt;td&gt;Authorization header format&lt;/td&gt;&lt;td&gt;Authorization: base64(app_id:app_secret)&lt;/td&gt;&lt;/tr&gt;     &lt;tr&gt;&lt;td&gt;Expected result&lt;/td&gt;&lt;td&gt;Authorization: MTIzOkFCQw&#x3D;&#x3D;&lt;/td&gt;&lt;/tr&gt; &lt;/tbody&gt;&lt;/table&gt; For testing purposes, a CURL can be used: &lt;pre&gt; curl -X POST -H \&quot;Authorization: Basic MTIzOkFCQw&#x3D;&#x3D;\&quot; https://api.wefitter.com/api/v1.3/token/ # alternatively curl -X POST --user 123:ABC https://api.wefitter.com/api/v1.3/token/ &lt;/pre&gt;  The response to a successful request should look like this: &lt;pre&gt; {     \&quot;bearer\&quot;: \&quot;eyJhbGciOiJIUzI1NiIsInR5cCI6IkpXVCJ9.eyJleHAiOiIxNTY2NTYxMzk2IiwiaWF0IjoxNTE2MjM5MDIyfQ.14x12h5VMJjAV2kFB5cCrfFmZhryBAYGk9N-vhyDl00\&quot; } &lt;/pre&gt; 
  # @param data 
  # @param [Hash] opts the optional parameters
  # @return [Token]
  describe 'token_create test' do
    it 'should work' do
      # assertion here. ref: https://www.relishapp.com/rspec/rspec-expectations/docs/built-in-matchers
    end
  end

end
